Class | Bio::FANTOM::MaXML::Sequence
In: | lib/bio/db/fantom.rb
Parent: | MaXML

### Methods

altid annotations id_strings library_id

### Constants

Data_XPath | = | 'maxml-sequences/sequence' |  | (MaXML sequence) fantom2.gsc.riken.go.jp/fantom/2.1/allseq.sep.xml.gz fantom2.gsc.riken.go.jp/fantom/2.1/repseq.sep.xml.gz

### Public Instance methods

altid(t = nil)

[Source]

         # File lib/bio/db/fantom.rb, line 219
    219:         def altid(t = nil)
    220:           unless defined?(@altid)
    221:             @altid = {}
    222:             @elem.each_element('altid') do |e|
    223:               @altid[e.attributes['type']] = gsub_entities(e.text)
    224:             end
    225:           end
    226:           if t then
    227:             @altid[t]
    228:           else
    229:             @altid
    230:           end
    231:         end

annotations()

[Source]

         # File lib/bio/db/fantom.rb, line 241
    241:         def annotations
    242:           unless defined?(@annotations)
    243:             @annotations =
    244:               MaXML::Annotations.new(@elem.elements['annotations'])
    245:           end
    246:           @annotations
    247:         end

id_strings()

[Source]

         # File lib/bio/db/fantom.rb, line 233
    233:         def id_strings
    234:           altid.values.sort.uniq
    235:         end

library_id()

[Source]

         # File lib/bio/db/fantom.rb, line 237
    237:         def library_id
    238:           entry_id[0,2]
    239:         end

[Validate]